unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  LR_Class,
  lrPDFExport;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    frReport1: TfrReport;
    lrPDFExport1: TlrPDFExport;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FRepFileName: string;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses  LazFileUtils, lr_e_fclpdf, LCLIntf;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FRepFileName := AppendPathDelim(ExtractFileDir(ParamStr(0))) +
    'test.lrf';
  if FileExists(FRepFileName) then
    frReport1.LoadFromFile(FRepFileName)
  else
    frReport1.FileName := FRepFileName;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  S: string;
begin
  S := AppendPathDelim(ExtractFileDir(ParamStr(0))) + 'test.pdf';
  frReport1.PrepareReport;
  frReport1.ExportTo(TlrPdfExportFilter, S);
  OpenDocument(S)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 frReport1.ShowReport ;
end;

end.
